Bug 978491 - [RFE] Create a unified request identifier
[RFE] Create a unified request identifier
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
4.0
Unspecified Unspecified
high Severity medium
: z2
: 6.0 (Juno)
Assigned To: Nikola Dipanov
Gabriel Szasz
https://blueprints.launchpad.net/nova...
: FutureFeature, MoveUpstream, TestOnly, Triaged, ZStream
Depends On: 988989
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 13:37 EDT by Russell Bryant
Modified: 2016-04-26 14:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-02 13:56:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 29342 None None None Never
OpenStack gerrit 29480 None None None Never

  None (edit)
Comment 5 Nikola Dipanov 2014-09-12 06:08:22 EDT
So it seems that this BP landed in Juno-1, and the new header (x-openstack-request-id') was only implemented for v3 API while the v2 would still be sending the old 'x-compute-request-id' one. 

However, as part of the following upstream effort:

https://blueprints.launchpad.net/nova/+spec/v2-on-v3-api

A lot of the v3 API is now exposed as v2.1 but this effort is not completed in the Juno cycle so the reality of RHOS 6 is that we are stuck wiht v2, basically meaning that Nova will not be including the new header.

Note You need to log in before you can comment on or make changes to this bug.